baseURL: https://www.poilpret.ch/blog
languageCode: fr-ch
theme: ananke

defaultContentLanguage: fr

# Automatically define menu "main" with all top-level sections of the site
# https://gohugo.io/content-management/menus/#define-automatically
# Disabled because I prefer setting menu structure explicitly for each language with proper weights
# sectionPagesMenu: main

enableRobotsTXT: true

# Use emojis from Markdown https://gohugo.io/quick-reference/emojis/
enableEmoji: true

# Increased due to images processing (otherwise Hugo deployment fails)
timeout: 120

pagination:
  pagerSize: 6

# Configure menu entries per language but at global configuration level (better than using sectionPagesMenu attribute)
# That ensures:
# - all entries are configured at one location only,
# - entries are properly translated according to language
# - only entries that exist in a language are present in the menu for that language
# - weights are properly defined (in the order I want menus to appear)
# https://gohugo.io/content-management/multilingual/#method-1----use-a-single-configuration-file
languages:
  fr:
    languageName: Français
    title: "JF Poilprêt: mon blog"
    copyright: "JF Poilprêt"
    weight: 1
    params:
      flag: /images/french-flag.png
    menu:
      main:
      - name: Randonnées
        pageRef: /hiking
        weight: 10
      - name: Vie & Loisirs
        pageRef: /life
        weight: 20
      - name: Informatique
        pageRef: /information-technology
        weight: 30
      - name: Électronique
        pageRef: /electronics
        weight: 40
      - name: --
        weight: 50
      - name: À propos
        pageRef: /home/about
        weight: 60
      - name: Mon CV
        url: https://www.poilpret.ch/cv
        weight: 70
      #TODO add tags cloud page?
  en:
    languageName: English
    title: "JF Poilprêt: my blog"
    copyright: "JF Poilprêt"
    weight: 2
    params:
      flag: /images/uk-flag.png
    menu:
      main:
      - name: Life & Leisure
        pageRef: /life
        weight: 20
      - name: Information Technology
        pageRef: /information-technology
        weight: 30
      - name: Electronics
        pageRef: /electronics
        weight: 40
      - name: --
        weight: 50
      - name: About
        pageRef: /home/about
        weight: 60
      - name: My Résumé
        url: https://www.poilpret.ch/cv/en
        weight: 70
      #TODO add tags cloud page?

module:
  mounts:
    - source: assets
      target: assets

sitemap:
  changefreq: monthly
  priority: 0.5
  filename: sitemap.xml

params:
  # https://themes.gohugo.io/themes/gohugo-theme-ananke/#set-content-font-color
  # text_color: 
  
  author: JF Poilprêt
  
  # https://themes.gohugo.io/themes/gohugo-theme-ananke/#localize-date-format
  date_format: 2 January 2006
  
  favicon: "images/jfpoilpret3.jpg"
  
  # https://themes.gohugo.io/themes/gohugo-theme-ananke/#logo
  site_logo: 

  # https://themes.gohugo.io/themes/gohugo-theme-ananke/#custom-css
  # custom CSS files must be found in /assets/ananke/css, and defined by filename only
  custom_css: ["custom.css"]

  # https://themes.gohugo.io/themes/gohugo-theme-ananke/#other-hero-settings
  # choose a background color from any on this page: https://tachyons.io/docs/themes/skins/ and preface it with "bg-"
  background_color_class: bg-black
  # choose fitting and alignment styles for the featured image using Tachyons classes such as "cover|contain" for fitting and "bg-top|bg-center|bg-bottom" for alignment, or add any other class space-separated to customize further
  featured_image_class: "contain bg-center bg-black"
  # choose a color dimming class for the page or site header from any on this page: https://tachyons.io/docs/themes/skins/, preface it with "bg-" and add the value such as "-X0" where X is in [1,9]
  cover_dimming_class: bg-black-10

  # JFP added parameter to limit number of linked posts in a post (used in overridden menu-contextual.html layout)
  # Note this can also be set a page level
  linked_posts_number: 10

  recent_posts_number: 5

  # https://themes.gohugo.io/themes/gohugo-theme-ananke/#show-reading-time-and-word-count
  # show_reading_time: true

  # https://themes.gohugo.io/themes/gohugo-theme-ananke/#social-follow--share
  ananke:
    social:
      follow:
        networks:
        - mastodon
        - github
        - stackoverflow
        - linkedin
        - rss
      share:
        networks:
        - linkedin
        - facebook
      mastodon:
        profilelink: https://mamot.fr/@jfpoilpret
        rel: me
      github:
        username: jfpoilpret
        rel: me
      linkedin:
        profilelink: https://www.linkedin.com/in/jean-fran%C3%A7ois-poilpret-b0245320/
        rel: me
      stackoverflow:
        profilelink: https://stackexchange.com/users/15857/jfpoilpret
        rel: me
      rss:
        profilelink: https://www.poilpret.ch/blog/index.xml
      
markup:
  goldmark:
    extensions:
      # Markdown extras (superscript, subscript...)
      # https://gohugo.io/getting-started/configuration-markup/#extras
      extras:
        delete:
          enable: true
        insert:
          enable: true
        mark:
          enable: true
        subscript:
          enable: true
        superscript:
          enable: true
    # Useful MarkDown render-hook customization
    # https://gohugo.io/render-hooks/images/#attributes
    parser:
      attribute:
        block: true
      wrapStandAloneImageWithinParagraph: false
  tableOfContents:
    startLevel: 1
    endLevel: 2
    ordered: true
